Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161344 - GUI fails to start with valid conf file: error in in resolve_fence_instance_types
Summary: GUI fails to start with valid conf file: error in in resolve_fence_instance_t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 15:43 UTC by Corey Marthaler
Modified: 2009-04-16 20:09 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-753
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 16:48:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:753 normal SHIPPED_LIVE system-config-cluster bug update 2005-10-07 04:00:00 UTC

Description Corey Marthaler 2005-06-22 15:43:48 UTC
Description of problem:
This appears similar to bz 160264, but this is a valid xml cluster conf file

Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 540, in ?
    runFullGUI()
  File "/usr/sbin/system-config-cluster", line 522, in runFullGUI
    baseapp = basecluster(glade_xml, app)
  File "/usr/sbin/system-config-cluster", line 129, in __init__
    self.model_builder = ModelBuilder(1, CLUSTER_CONF_PATH)
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 133, in __init__
    self.resolve_fence_instance_types()
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 290, in
resolve_fence_instance_types
    child.setAgentType(agent_hash[child.getName()])
KeyError: u'apclink'


cluster.conf file:
[root@tank-03 ~]# cat /etc/cluster/cluster.conf
<?xml version="1.0"?>
<cluster name="qa-ALL-cluster" config_version="1">

<cman>
</cman>

<fence_daemon post_join_delay="40" post_fail_delay="40" clean_start="0"/>

<clusternodes>
        <clusternode name="morph-01" votes="1">

                <fence>
                        <method name="single">
                                <device name="apcmorph" switch="1" port="1"/>
                        </method>
                </fence>
        </clusternode>

        <clusternode name="morph-02" votes="1">

                <fence>
                        <method name="single">
                                <device name="apcmorph" switch="1" port="2"/>
                        </method>
                </fence>
        </clusternode>

        <clusternode name="morph-03" votes="1">

                <fence>
                        <method name="single">
                                <device name="apcmorph" switch="1" port="3"/>
                        </method>
                </fence>
        </clusternode>

        <clusternode name="morph-04" votes="1">

                <fence>
                        <method name="single">
                                <device name="apcmorph" switch="1" port="4"/>
                        </method>
                </fence>
        </clusternode>

        <clusternode name="tank-01" votes="1">
                <fence>
                        <method name="APCEE">
                                <device name="apcmorph" switch="1" port="7"/>
                        </method>
                </fence>

        </clusternode>

        <clusternode name="tank-03" votes="1">
                <fence>
                        <method name="APCEE">
                                <device name="apcmorph" switch="2" port="1"/>
                        </method>
                </fence>

                </clusternode>

        <clusternode name="tank-04" votes="1">
                <fence>
                        <method name="APCEE">
                                <device name="apcmorph" switch="2" port="2"/>
                        </method>
                </fence>

        </clusternode>

        <clusternode name="tank-05" votes="1">
                <fence>
                        <method name="APCEE">
                                <device name="apcmorph" switch="2" port="3"/>
                        </method>
                </fence>

        </clusternode>

        <clusternode name="link-01" votes="1">
                <fence>
                        <method name="APCEE">
                                <device name="apclink" switch="1" port="1"/>
                        </method>
                </fence>

        </clusternode>

        <clusternode name="link-02" votes="1">
                <fence>
                        <method name="APCEE">
                                <device name="apclink" switch="1" port="2"/>
                        </method>
                </fence>

        </clusternode>

        <clusternode name="link-08" votes="1">
                <fence>
                        <method name="APCEE">
                                <device name="apclink" switch="1" port="8"/>
                        </method>
                </fence>

        </clusternode>

        <clusternode name="link-13" votes="1">
                <fence>
                        <method name="APCEE">
                                <device name="apclink" switch="3" port="1"/>
                        </method>
                </fence>

        </clusternode>

        <clusternode name="link-14" votes="1">
                <fence>
                        <method name="APCEE">
                                <device name="apclink" switch="3" port="2"/>
                        </method>
                </fence>

        </clusternode>

        <clusternode name="link-15" votes="1">
                <fence>
                        <method name="APCEE">
                                <device name="apclink" switch="3" port="3"/>
                        </method>
                </fence>

        </clusternode>
</clusternodes>

<fencedevices>
        <fencedevice name="apclink" agent="fence_apc" ipaddr="link-apc"
login="apc" passwd="apc"/>
</fencedevices>

<fencedevices>
        <fencedevice name="apcmorph" agent="fence_apc" ipaddr="morph-apc"
login="apc" passwd="apc"/>
</fencedevices>

</cluster>


Version-Release number of selected component (if applicable):
system-config-cluster-1.0.12-1.0

Comment 1 Stanko Kupcevic 2005-07-20 22:06:10 UTC
Fixed in 1.0.13

Comment 2 Corey Marthaler 2005-09-07 19:07:33 UTC
fix verified in 1.0.15

Comment 3 Red Hat Bugzilla 2005-10-07 16:48:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-753.html



Note You need to log in before you can comment on or make changes to this bug.